using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zadatak1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int N;
            int L;
            int br = 0;
            N = Convert.ToInt32(Console.ReadLine());
            L = Convert.ToInt32(Console.ReadLine());
            int[] a = new int [N];
            Console.WriteLine("Unesi elemente niza A");
            for (int i = 0; i < N; i++)
            {
                a[i] = Convert.ToInt32(Console.ReadLine());
            }

            for (int i = 0; i < N; i++)
            {
                if (L < a[i])
                    br++;
                else
                    break;
            }

            Console.WriteLine("Resenje");
            if (br == N)
            {
                Console.WriteLine("-1");
            }
            else
                Console.WriteLine(br+1);

            Console.ReadKey();
        }
    }
}